# My proposal : BABA is YOU

from: Jee Youn Kim  
ID: 20243197  
URL: http://git.prototyping.id/20243197/20243197

## Game : BABA is YOU 
Game Link: [link(steam)](https://store.steampowered.com/app/736260/Baba_Is_You/)  
Genra: Word Puzzle Game  
User Contol: ASDW

### What does the players have to do? ---> Win!
![Play](assets/BabaPlayEx.gif)
- **How to win?**
    Touch the element that is connected to 'WIN'
- **How the game works?**
    This is a *word puzzle* based computer game.
    You make the rules by combining the objects and words (properties).  
    And according to the rules you play the game(*move around and touch the 'win'.*)
    
    move baba and push the words to make rules. Then within the rules you made, reach the 'win' object and win the stage.

### Elements
| Objects | Image | Instructions |
| :------ | :---: | :----------- |
| Baba    | ![(character)](assets/Baba.webp) | initial main caracter. Moves with ASDW |
| Rock    | ![rock](assets/Rock.webp) | |
| Flag    | ![Flag](assets/Flag.webp) | | 

### Terrain (Blocking)
| Objects | Image | Instructions |
| :------ | :---: | :----------- |
| Tile(floor) | ![tile](assets/Tile.webp) | |
| Wall(initailly blocking) | ![wall](assets/Wall.webp) | |
| lava | ![(lava)](assets/Lava.webp) | |
| Water | ![(water)](assets/Water.webp) | |
    - etc.. 

### Properties (Action)
| Objects | Image | Instructions |
| :------ | :---: | :----------- |
| IS | ![is](assets/Text_IS_0.webp) | Operator |
| You | ![you](assets/You.webp) | |
| Move | ![Move](assets/Move.webp) | |
| Stop | ![Stop](assets/Stop.webp) | |
| Hot | ![Hot](assets/Hot.webp) | |
| Win | ![win](assets/Win.webp) | |
 etc


### How will the game look like?
    Environment: tile based.

    To build the scene described above, I plan to develop the game using modular rules, where each interaction and game logic is handled through well-structured functions.

`+`...If I can AI generate the stages of 'baba is you', that will be my final goal of this project.

### Main Challenges
1. Make the rules work. 
2. Make the elements to be interchangeable.
3. Make the World. (can I AI generate this?)

### Documentations
- Tile based 

### LOG
| DATE | Updates         |
| :--: | :-------------- |
| 2025.04.14 | Updated the Markdown, initial creation of the project |
| 2025.04.15 | Create the folders and js files. Create the HTML, CSS for the projects. |
